Subject: Re: bug#24574: emacs-module is not GPL compatible (Windows)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2016 18:40:36 +0300

[Please don't cross post to help-gnu-emacs if you report bugs.]

> Date: Sat, 1 Oct 2016 12:31:26 +0000 (UTC)
> From: Mambo Levis <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> 1. I commented all module's functions related with sqlite3 library and only leave uncommented one of function
> to verify if the module is working:
> 
> /* emacs-sqlite-version*/
> static emacs_value
> Femacs_sqlite_version (emacs_env *env, ptrdiff_t nargs, emacs_value args[], void *data)
> {
> const char* msg_docstr = "emacs-sqlite module version 0.1";
> return env->make_string (env, msg_docstr, strlen(msg_docstr));
> }
> 
> When I require (emacs-sqlite-version) it works as expected.
> 
> 2. I tested only two function: the previous one Femacs_sqlite_version and other associated with sqlite. Once I
> consider a module function related to sqlite error message appears: 
> is not GPL compatible
> 
> I think the error is related with the linking process of the sqlite3.lib . One possible test is not linking sqlite3.lib
> and stead just using sqlite source code as a part of the module.
> 
> Do you have any suggestion?

I'd start by using the pexports program (or something similar) to see
which symbols are exported by the sqlite DLL.